GNU Radio C++ API Reference: GF2Vec Class Reference

| GNU Radio C++ API Reference 3.10.12.0 The Free & Open Software Radio Ecosystem |

Loading...
Searching...
No Matches
GF2Vec Class Reference

`#include <gnuradio/fec/gf2vec.h>`

## Public Member Functions
| GF2Vec ()
| Default constructor.
| GF2Vec (int size)
| Constructs a vector of length "size" with all 0 entries.
std::vector< uint8_t > | get_vec ()
| Returns the vector.
int | size ()
| Returns the size of the vector.
void | set_vec (const std::vector< uint8_t >)
| Resets the vector with the given input.
uint8_t & | operator[] (int i)
| Access the ith element.
void | operator= (GF2Vec x)
| Overloading the operator '='.
GF2Vec | sub_vector (int i, int j)
| Obtain a subvector between the indices i to j.
void | print_vec ()
| Prints the vector.

## Friends
GF2Vec | operator+ (GF2Vec a, GF2Vec b)
| Overloading the operator '+'.
uint8_t | operator* (GF2Vec a, GF2Vec b)
| Overloading the operator '*'.

## Constructor & Destructor Documentation

## ◆ GF2Vec() [1/2]

GF2Vec::GF2Vec | ( |  | ) |
| inline

Default constructor.

Referenced by operator*, operator+, operator=(), and sub_vector().

## ◆ GF2Vec() [2/2]

GF2Vec::GF2Vec | ( | int | size | ) |

Constructs a vector of length "size" with all 0 entries.

References size().

## Member Function Documentation

## ◆ get_vec()

std::vector< uint8_t > GF2Vec::get_vec | ( |  | ) |

Returns the vector.

## ◆ operator=()

void GF2Vec::operator= | ( | GF2Vec | x | ) |

Overloading the operator '='.

References GF2Vec().

## ◆ operator[]()

uint8_t & GF2Vec::operator[] | ( | int | i | ) |

Access the ith element.

## ◆ print_vec()

void GF2Vec::print_vec | ( |  | ) |

Prints the vector.

## ◆ set_vec()

void GF2Vec::set_vec | ( | const std::vector< uint8_t > |  | ) |

Resets the vector with the given input.

## ◆ size()

int GF2Vec::size | ( |  | ) |

Returns the size of the vector.

Referenced by GF2Vec().

## ◆ sub_vector()

GF2Vec GF2Vec::sub_vector | ( | int | i,
|  | int | j )

Obtain a subvector between the indices i to j.

References GF2Vec().

## Friends And Related Symbol Documentation

## ◆ operator*

uint8_t operator* | ( | GF2Vec | a,
|  | GF2Vec | b )
| friend

Overloading the operator '*'.

References GF2Vec().

## ◆ operator+

GF2Vec operator+ | ( | GF2Vec | a,
|  | GF2Vec | b )
| friend

Overloading the operator '+'.

References GF2Vec().

The documentation for this class was generated from the following file:

- gf2vec.h